import { AfterViewInit, ElementRef } from '@angular/core';
import { MenuComponent } from '../menu.component';
import * as i0 from "@angular/core";
export declare class MenuDropdownComponent implements AfterViewInit {
    private menuRef;
    private readonly nativeElement;
    private hasExecutedCallback;
    items: any;
    constructor(elRef: ElementRef, menuRef: MenuComponent);
    ngAfterViewInit(): void;
    getParentWidget(): void;
    callback(entries: any, observer: any): void;
    createObserver(target: any, callback: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MenuDropdownComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MenuDropdownComponent, "ul[wmMenuDropdown]", never, { "items": { "alias": "items"; "required": false; }; }, {}, never, never, false, never>;
}
